Package org.apache.sysds.runtime.compress.colgroup.offset

# Class AOffset.OffsetSliceInfo

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.offset.AOffset.OffsetSliceInfo

Enclosing class:
  AOffset

public static final class AOffset.OffsetSliceInfo extends Object
Offset slice info containing the start and end index an offset that contains the slice, and an new AOffset containing only the sliced elements

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`lIndex`
`final AOffset`
`offsetSlice`
`final int`
`uIndex`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### lIndex

public final int lIndex

### uIndex

public final int uIndex

### offsetSlice

public final AOffset offsetSlice

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`